pro display_raster_current_view, raster

  e = ENVI(/CURRENT)
  meta = raster.metadata
  
  if raster.nbands ge 3 then begin
    def_bands = [1,2,3] ; The default default bands, you might say
  endif else begin
    def_bands = [1,1,1]
  endelse
  
  if(meta.HasTag('DEFAULT BANDS')) then def_bands = meta['DEFAULT BANDS']
  
  ; Annoyingly, there are band number conversion issues here.
  ; Read from metadata: the 1-indexed ENVI header values.
  ; CreateLayer expects: IDL-style 0-indexed values.
  def_bands -= 1 ; 1-indexed to 0-indexed
  
  View1 = e.GetView()
  Layer1 = View1.CreateLayer(raster, BANDS=def_bands)
  
end
