; Inserts a suffix string just before the first or last extension of a file path.
; First vs Last is determined by the absence or presence (respectively) of /LAST_EXT.
function insert_file_suffix, orig_path, suffix, LAST_EXT=last_ext

  in_file_directory = file_dirname(orig_path, /mark_directory)
  in_file_basename = file_basename(orig_path)

  if keyword_set(last_ext) then begin
    ; get the . before the last extension: we'll insert before that
    pos = strpos(in_file_basename, '.', /REVERSE_SEARCH)
  endif else begin
    ; get the first . in the filename: we'll insert before all extensions
    pos = strpos(in_file_basename, '.')
  endelse

  if (pos gt 0) then begin
    in_file_extension = strmid(in_file_basename, pos)
    in_file_basename = strmid(in_file_basename, 0, pos)
  endif else begin
    in_file_extension = ''
  endelse
  return, in_file_directory + in_file_basename + suffix + in_file_extension

end
