pro oat_l_data_sim
  COMPILE_OPT IDL2
  
  catch, err
  if err ne 0 then begin
    catch, /cancel
    void = dialog_message('Could not perform operation. An error occurred:' + $
      !error_state.msg, /error)
    message, /reset
    return
  endif
  
  e = envi(/current)
  UI = e.UI
  
  ; Get an L-data cube, no subsetting allowed (there's not any point to it)

  data_raster = UI.SelectInputData(/RASTER, /DISABLE_BANDS, /DISABLE_SUB_RECT, /DISABLE_MASK, /DISABLE_NO_DATA, SUB_RECT=subRectData, title='Select OMEGA L-channel data:')
  if (data_raster eq !null) then return ; I guess we're not doing it, then
  fid_data = ENVIRasterToFID(data_raster)
  l_raster_filename = data_raster.uri
  
  ; Use all but the last extension of the raster file as a base for the spectral library name
  default_sli_filename = strip_file_extension(l_raster_filename,/last_ext_only) + '_sim.sli'
  
  base = widget_auto_base(title='L-data Simulation')
  wo = widget_outf(base, uvalue='outf',default=default_sli_filename, /auto)
  
  base_temprow = widget_base(base,ROW=1)
  
  tminwidget = widget_param(base_temprow, prompt='T min', default = '', dt=4, uvalue='tmin', /auto)
  tmaxwidget = widget_param(base_temprow, prompt='T max', default = '', dt=4, uvalue='tmax', /auto)
  
  base_emissionrow = widget_base(base,ROW=1)
  
  eminwidget = widget_param(base_emissionrow, prompt='Emission min', default = '', dt=4, uvalue='emin', /auto)
  emaxwidget = widget_param(base_emissionrow, prompt='Emission max', default = '', dt=4, uvalue='emax', /auto)
  output_prefs = auto_wid_mng(base)
  
  if (output_prefs.accept eq 0) then return ; I guess we're not doing it, then
  
  input_info = { l_fid: fid_data, $
                 temp: { min: output_prefs.tmin, $
                         max: output_prefs.tmax }, $
                 emiss: { min: output_prefs.emin, $
                          max: output_prefs.emax }, $
                 sl_outfile: output_prefs.outf }
                 
  status = l_data_sim(input_info)
  
end