; OAT: OMEGA Analysis Tool

pro oat_menu_extensions_init

  compile_opt idl2
  
  oat_version = '1.0.0' ; change me to change menu name, etc
  menu_folder_name = 'Display/OAT '+oat_version

  ; Get the current application
  e = ENVI(/CURRENT)

;  e.AddExtension, 'Raw to IoF', 'oat_menu', uvalue='raw_to_iof'
;  e.AddExtension, 'Map Project IoF', 'oat_menu', uvalue='iof_map_project'
    
  e.AddExtension, 'Raw OMEGA data to IoF', 'oat_menu', $
    uvalue='raw_to_iof', /menu, path=menu_folder_name
  e.AddExtension, 'Volcano Scan Atmospheric Correction', 'oat_menu', $
    uvalue='atmo_corr', /menu, path=menu_folder_name
  e.AddExtension, 'Map Project IoF', 'oat_menu', $
    uvalue='iof_map_project', /menu, path=menu_folder_name
  e.AddExtension, 'L Data Sim', 'oat_menu', $
    uvalue='iof_l_data_sim', /menu, path=menu_folder_name

end

pro oat_menu, event
  ; dispatching routine for menu items being selected
  
  compile_opt idl2
  catch, err

  if err ne 0 then begin
    catch, /cancel
    void = dialog_message('could not perform operation. an error occurred:' + $
      !error_state.msg, /error)
    message, /reset
    return
  endif

  e = envi(/current)
  widget_control, event.id, get_uvalue = uvalue
  
  case (uvalue) of
    'raw_to_iof': begin
      oat_raw_to_iof
    end
    'atmo_corr': begin
      oat_atmo_corr
    end
    'iof_map_project': begin
      oat_iof_map_project
    end
    'iof_l_data_sim': begin
      oat_l_data_sim
    end
    else: begin
      print, 'Unknown uvalue in oat_menu: ',uvalue
    end
  endcase

end
