pro oat_raw_to_iof
  COMPILE_OPT IDL2

  catch, err
  if err ne 0 then begin
    catch, /cancel
    void = dialog_message('Could not perform operation. An error occurred:' + $
      !error_state.msg, /error)
    message, /reset
    return
  endif

  e = envi(/current)
  
  ; Ordinary file and directory picking dialogs
  
  data_qube_path = dialog_pickfile(title='Select data qube',filter='*.qub',get_path=qube_context)
  raw_nav_path = dialog_pickfile(title='Select nav file',filter='*.nav',path=qube_context)
  
  base = widget_auto_base(title='Select directory for output')
  wo = widget_outf(base, uvalue='outdir',default=qube_context, /directory, prompt='Enter Output Directory', /auto)
  output_prefs = auto_wid_mng(base)

  if (output_prefs.accept eq 0) then return ; I guess we're not doing it, then

  output_path = output_prefs.outdir
  ; Readomega likes a / at the end of its output directory, so let's ensure that.
  ; TODO: reformulate this in terms of path separator, so it will work on Mac, too
  if strmid(output_path,0,/reverse_offset) ne '\' then begin ; last character isn't a \
    output_path += '\'
  endif
  
  readomega, data_qube_path, raw_nav_path, output_path, /progress_bar
  
end
