; OMEGA_ORBIT: function to convert OMEGA orbit strings to numerical values.
; The input is expected to have the form:
;
; orb?DDD_D
;
; Where each D may be any decimal digit, and ? may be any decimal digit or letter
; (upper or lower case).
; This accords with the scheme by which the OMEGA team extended the life of their
; 4-digit orbit number past 9999 orbits. In this context, 'a' and 'A' are 10, 'b'
; and 'B' are 11, etc.

function omega_orbit, orb_string

  orb_string = strupcase(orb_string) ; ASCII math below depends on any letters being uppercase
  
  orbnum=(byte(orb_string))(3)-48
  if(orbnum gt 9) then orbnum=orbnum-7
  orbnum=1000*orbnum+fix(strmid(orb_string,4,3))
  
  return, orbnum
  
end
