; Inserts a suffix string just before the first or last extension of a file path.
; First vs Last is determined by the absence or presence (respectively) of /LAST_EXT.
function strip_file_extension, orig_path, LAST_EXT_ONLY=last_ext_only

  in_file_directory = file_dirname(orig_path, /mark_directory)
  in_file_basename = file_basename(orig_path)

  if keyword_set(last_ext_only) then begin
    ; get the . before the last extension, to remove only it
    pos = strpos(in_file_basename, '.', /REVERSE_SEARCH)
  endif else begin
    ; get the first . in the filename: we'll remove all extensions
    pos = strpos(in_file_basename, '.')
  endelse

  if (pos gt 0) then begin
    in_file_basename = strmid(in_file_basename, 0, pos)
  endif else begin
    ; in_file_basename can stay as it is
  endelse
  return, in_file_directory + in_file_basename

end
